Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.tr
Class ResultFragmentVariantBase

    java.lang.Object
      com.jclark.xsl.expr.VariantBase
          com.jclark.xsl.tr.ResultFragmentVariantBase

All Implemented Interfaces:
  ResultFragmentVariant, Variant

public abstract class ResultFragmentVariantBase
extends VariantBase
implements ResultFragmentVariant

a result tree fragment, I guess used as a variable or param?

Constructor Summary
`ResultFragmentVariantBase()`

Method Summary
`boolean` | `convertToBoolean()`
`java.lang.String` | `convertToString()`
`Node` | `getTree(ProcessContext context)` for converting to a NodeSet

Methods inherited from class com.jclark.xsl.expr.VariantBase
`convertToNodeSet, convertToNumber, convertToPredicate, create, getBaseNode, isBoolean, isNodeSet, isNumber, isString, makePermanent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jclark.xsl.tr.ResultFragmentVariant
`append`

Methods inherited from interface com.jclark.xsl.expr.Variant
`convertToNodeSet, convertToNumber, convertToObject, convertToPredicate, getBaseNode, isBoolean, isNodeSet, isNumber, isString, makePermanent`

Constructor Detail

### ResultFragmentVariantBase

    public ResultFragmentVariantBase()

Method Detail

### convertToString

    public java.lang.String convertToString()
                                     throws XSLException

  Specified by:
    `convertToString` in interface `Variant`
  Throws:
    `XSLException`

### convertToBoolean

    public boolean convertToBoolean()
                             throws XSLException

  Specified by:
    `convertToBoolean` in interface `Variant`
  Throws:
    `XSLException`

### getTree

    public Node getTree(ProcessContext context)
                 throws XSLException

  for converting to a NodeSet

  Specified by:
    `getTree` in interface `ResultFragmentVariant`
  Throws:
    `XSLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD